function [ p_all,p_atleastone,N_points ] = guesser_Q3( quest_attributes )

% see nutshell "Intro to Proba...." Section 5, and
% nutshell "Random Variables"  Section 2.2

p1 = 1./quest_attributes(1,1);
% p1 is the marginal probability of getting question 1 right

% proceed similarly to assign the marginal probability of getting question 2
% right and the marginal probability of getting question 3 right

nworth1 = = quest_attributes(1,2);
% nworth1 is the number of points to be earned if the student answers question
% 1 correctly

% assign in similar fashion nworth2 and nworth3

p_all = p1*? % exploit independence

p_atleastone = 1 - ? % recast in terms of a complement, and exploit independence

N_points = ? % exploit marginal probability mass functions to calculate expectation



end

